► |  | Sprachebenen und Material zu Schreibe Dein Programm!

1 | Schreibe Dein Programm! - Anfänger
2 | Schreibe Dein Programm!
3 | Schreibe Dein Programm! - fortgeschritten
4 | Konstruktionsanleitungen
5 | sdp: Sprachen als Libraries
| Index

▼ | 3 | Schreibe Dein Programm! - fortgeschritten

3.1 | Quote-Literal
3.2 | Signaturen
3.3 | Pattern-Matching
3.4 | Definitionen
3.5 | lambda / λ
3.6 | Primitive Operationen

top ← prev up next →

#### 3.3`` Pattern-Matching

> > syntax

> > (match expr (pattern expr) ...)

> pattern |  | = |  | ...
> |  | | |  | ’quoted

Zu den Patterns kommt noch eins hinzu:

- Das Pattern ’quoted passt auf genau auf Werte, welche die gleiche externe Repräsentation wie quoted haben.

top ← prev up next →